安装anaconda后,装库报错权限不够

原创 2018年04月15日 22:04:31

安装anaconda后,安装tensorflow,或者更新pip都报错:发现是anaconda文件夹权限不够。
查看发现anaconda文件夹上了一把锁,需要去掉。

sudo chown 用户名 文件夹 -R

比如:我的用户名叫secret,文件夹叫anaconda3

sudo chown secret anaconda3/ -R
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/sunyao_123/article/details/79954073

tensorflow安装的时候,没有su权限,即使利用anaconda虚拟环境,pip仍没有权限的问题

没有su权限就应当用anaconda建立虚拟环境 但是!!! 建立了环境之后直接用pip安装新的包,还是没有权限的!!!! 因为conda新建的环境里没有pip,其实用的还是系统自带的pip,所以没有...
  • a790209714
  • a790209714
  • 2017年06月23日 21:16
  • 1249

ubuntu下anaconda3解决conda更新权限问题

首先出现问题:然后我们去解决这个问题:这个问题就这样解决了
  • qq_36652619
  • qq_36652619
  • 2018年03月24日 14:11
  • 109

Mac 下安装TensorFlow出现权限不足解决方案

1.执行如下命令 $ pip install –upgrade pipsudopipinstallnumpy–upgrade–ignore−installed sudo pip install nu...
  • AiMaiShanHuHai
  • AiMaiShanHuHai
  • 2017年06月06日 17:58
  • 183

window Anaconda环境下pip提示无权限

解决办法: 1、conda install package_name 上面的不行就用下面的。 2、pip install --user package_name...
  • zhangpengfei104
  • zhangpengfei104
  • 2017年04月21日 14:28
  • 922

linux 下安装anaconda,import的时候没有权限

安装完anaconda后,在测试anaconda的时候,发现所有的包都无法import In [1]: import numpy as np -----------------------------...
  • q5390498
  • q5390498
  • 2016年10月29日 12:08
  • 392

pip升级失败以及anaconda的pip/conda安装提示权限不够的错误的解决方案

【原因分析】      是因为anaconda的安装目录的拥有者和用户组都是root,本地用户权限不够,只需让自己拥有相应的权限就好了 【解决方案】      输入一下命令,进入到anacond...
  • leijieZhang
  • leijieZhang
  • 2017年02月10日 10:25
  • 4596

anaconda2安装TVTK

推荐Anaconda2 ,然后新建py36环境,默认安装的的库只有几个,不会有冲突 C盘建立文件夹把下面的考进去py36 基础环境搭好,按照提示下载所需的库文件,是Unofficial的,...
  • sinat_38163598
  • sinat_38163598
  • 2017年06月25日 12:24
  • 1331

Ubuntu16.10 下安装node.js提示./configure 权限不够的解决方法

最近在学习meteor,于是在自己的笔记本上装了个双系统Win7+Ubuntu16.10。第一次使用ubuntu系统,感觉很好。 接下来准备在Ubuntu上安装node。 1)  根据Node.j...
  • Rotbing
  • Rotbing
  • 2017年01月11日 11:36
  • 818

利用anaconda搞定所有Python问题,各种安装包

很多人按照我之前的Python2.7安装教程可以成功,    http://blog.csdn.net/errors_in_life/article/details/60869577    但是方法之...
  • Errors_In_Life
  • Errors_In_Life
  • 2017年03月25日 13:14
  • 38164

anaconda python下openCV+theano+keras配置全过程

需求: 在python2.x下引入openCV,并在python3.x下引入theano(官网上的版本已经包含了tensorflow,只能在3.x下运行)。 电脑配置: wein8.1(关系不大)  ...
  • Rosemary_Yan
  • Rosemary_Yan
  • 2017年06月29日 00:21
  • 1504
收藏助手
不良信息举报
您举报文章:安装anaconda后,装库报错权限不够
举报原因:
原因补充:

(最多只允许输入30个字)